Subject: Re: nicer frontend to get rebased tree?

From: Paolo Bonzini <[email-masked]>
Date: Sat, 23 Aug 2008 11:24:52 +0200

Andi Kleen wrote:
>> Exactly. Don't rebase. And don't base your development on somebody who 
>> does.
> 
> That's pretty much impossible in the current state of Linux development
> as far as I know.
> 
>> Remember how I told you that you should never rebase?
> 
> I suspect your recommendation does not match real world git use.

I think if you have to rebase often, you're actually better off using
stgit (patch queues is what the mercurial folks use instead of
often-rebased local branches).

Disclaimer: I am not an stgit user myself.

Paolo